MPTOGGLE(1)

NAME
mptoggle - single button control for mpd

SYNOPSIS
mptoggle [host] [playlist ...]

DESCRIPTION
mptoggle allows mpd to be controlled by a single physical button. It was designed for a linksys nslu2 running mpd, for which the only available physical control is a power button that can be remapped to run an arbitrary program.

mptoggle toggles playback each time it's run. So press the button once to start, and a second time to stop. Each time it starts playing. By default it selects a new different playlist, at random, to play. If playlist names are specified at the command line, it will choose between those at random.

Example of how to make the nslu2's power button run mptoggle, in /etc/inittab:

        ca:12345:ctrlaltdel:/usr/bin/mptoggle localhost

SEE ALSO
mprompt(1) mpd(1)

AUTHOR
Copyright 2007 Joey Hess <joey@kitenet.net>

Licensed under the GNU GPL version 2 or higher.

http://kitenet.net/~joey/code/mpdtoys